{ lib, pkgs, ... }:

with lib.metacfg;
{

  homebrew = {
    enable = true;
    brews = [ "libusb"];
  };

  metacfg = {
    system.homebrew = enabled;
    suites = {
      common = enabled;
    };
    tools = {
      direnv.enable = true;
    };
  };

  environment.systemPackages = with pkgs; [
    # azure-cli
    kubectl
    kubectx
    k9s
    attic-client
    ollama
  ];

  users.users.harald.shell = pkgs.fish;

  system.stateVersion = 4;
}
